Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## sum.strukturen
Class Tabelle<Typ extends Ordnungsobjekt>

    java.lang.Object
      sum.strukturen.Feld<Typ>
          sum.strukturen.Tabelle<Typ>

    public class Tabelle<Typ extends Ordnungsobjekt>

extends Feld<Typ>

Eine Tabelle ist ein nur teilweise gefülltes Feld.
Sie kann als Tabelle mit einem Inhaltstyp, der Ordnungsobjekt implementiert, deklariert werden. Wird dieser weggelassen, liefert die Anfrage inhalt ein Object und es wird Typkonversion nötig.

Version:
  7.0 vom 21.9.2008
Author:
  Horst Hildebrecht

Field Summary
`(package private) static long` | `serialVersionUID`
`(package private) int` | `zAnzahl`
`(package private) int` | `zErsterFreierPlatz`
`(package private) int` | `zMaximaleAnzahl`

Fields inherited from class sum.strukturen.Feld
`hatArray, zObereGrenze, zUntereGrenze`

Constructor Summary
`Tabelle(int pUntereGrenze, int pObereGrenze)` nachher: Die Tabelle ist initialisiert.

Method Summary
`int` | `anzahl()` nachher: Die Anfrage liefert die Anzahl der Objekte in der Tabelle.
`void` | `fuegeEin(Typ pInhalt)` vorher: Die Tabelle ist noch nicht voll.
`int` | `index(Typ pInhalt)` nachher: Wenn sich ein Objekt mit dem identischen Suchschl¨ssel in der Tabelle befindet, dann liefert die Anfrage dessen Index im Indexbereich.
`void` | `loesche(int pIndex)` vorher: pIndex ist eine Zahl im Indexbereich der Tabelle.
`boolean` | `voll()` nachher: Die Anfrage liefert wahr, wenn kein weiteres Objekt eingefügt werden kann.

Methods inherited from class sum.strukturen.Feld
`inhalt, obereGrenze, setzeInhalt, untereGrenze`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### serialVersionUID

    static final long serialVersionUID

See Also:
  Constant Field Values

### zAnzahl

    int zAnzahl

### zErsterFreierPlatz

    int zErsterFreierPlatz

### zMaximaleAnzahl

    int zMaximaleAnzahl

Constructor Detail

### Tabelle

    public Tabelle(int pUntereGrenze,
                   int pObereGrenze)

  nachher: Die Tabelle ist initialisiert. Die aufzunehmenden Objekte haben die Nummern pUntereGrenze bis pObereGrenze (Indexbereich). Die Tabelle enthält noch keine Objekte. Die Anzahl der gespeicherten Objekte ist also 0.

Method Detail

### anzahl

    public int anzahl()

  nachher: Die Anfrage liefert die Anzahl der Objekte in der Tabelle.

### fuegeEin

    public void fuegeEin(Typ pInhalt)

  vorher: Die Tabelle ist noch nicht voll.
  nachher: Das eingegebene Objekt pInhalt befindet sich in der Tabelle. Die Anzahl der gespeicherten Objekte wird um 1 erhöht.

### index

    public int index(Typ pInhalt)

  nachher: Wenn sich ein Objekt mit dem identischen Suchschl¨ssel in der Tabelle befindet, dann liefert die Anfrage dessen Index im Indexbereich. Wenn es sich nicht in der Tabelle befindet, liefert die Anfrage eine Zahl außerhalb des Indexbereichs.

### loesche

    public void loesche(int pIndex)

  vorher: pIndex ist eine Zahl im Indexbereich der Tabelle.
  nachher: Das Objekt an der Stelle pIndex wurde aus der Tabelle gelöscht. Die Anzahl der gespeicherten Objekte wurde um 1 verkeinert.

### voll

    public boolean voll()

  nachher: Die Anfrage liefert wahr, wenn kein weiteres Objekt eingefügt werden kann.

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD